routes/web.php
<?php

/* 
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
*/

// Switch between the included languages
Route::get('lang/{lang}', 'LanguageController@swap');

Auth::routes();


Route::get('/', function () {
	return view('welcome');
});

Route::get('/home', 'HomeController@index')->name('dashboard');
Route::get('/register/confirm', 'Auth\RegisterConfirmationController@index')->name('register.confirm');


/*
|--------------------------------------------------------------------------
| Admin Routes
|--------------------------------------------------------------------------
*/

Route::prefix('admin')->group(function() {
  Route::get('/login', 'Auth\AdminLoginController@showLoginForm')->name('admin.login');
  Route::post('/login', 'Auth\AdminLoginController@login')->name('admin.login.submit');
  Route::get('/', 'DashboardController@index')->name('admin.dashboard');
  Route::post('/logout', 'Auth\AdminLoginController@logout')->name('admin.logout');

  // Password reset routes
  Route::post('/password/email', 'Auth\AdminForgotPasswordController@sendResetLinkEmail')->name('admin.password.email');
  Route::get('/password/reset', 'Auth\AdminForgotPasswordController@showLinkRequestForm')->name('admin.password.request');
  Route::post('/password/reset', 'Auth\AdminResetPasswordController@reset');
  Route::get('/password/reset/{token}', 'Auth\AdminResetPasswordController@showResetForm')->name('admin.password.reset');

  //Admins
  Route::resource('admins', 'AdminController');
  Route::get('profile', 'AdminController@profile')->name('admin.profile');
  Route::patch('profile/{admin}', 'AdminController@updateProfile')->name('admin.update-profile');

  Route::resource('permissions', 'PermissionsController');

  Route::resource('languages', 'LanguageController');

  Route::resource('services', 'ServiceController');

  Route::resource('categories', 'CategoryController');

  Route::resource('users', 'UserController');
  
  //Commands
  Route::get('commands', 'CommandsController@index')->name('commands.index');
  Route::post('run-migration', 'CommandsController@runMigration')->name('run-migration');
  Route::post('install-database', 'CommandsController@installDatabase')->name('install-database');
  Route::post('install-passport', 'CommandsController@installPassport')->name('install-passport');
  Route::post('optimize', 'CommandsController@optimize')->name('optimize');
  Route::post('clear-cache', 'CommandsController@clearCache')->name('clear-cache');
  Route::post('table-truncate/{table}', 'CommandsController@tableTruncate')->name('table-truncate');
  Route::post('table-delete/{table}', 'CommandsController@tableDelete')->name('table-delete');
  Route::get('table-show/{table}', 'CommandsController@tableShow')->name('table-show');
  
});


Route::get('test', function () {

  $service = App\Service::first();

  echo $service->name;


});

resources/views/admin/partials/_footer.blade.php
<footer class="main-footer">
<div class="pull-right hidden-xs">
  <b>Version</b> 1.0
</div>
<strong>Copyright &copy; {{ date('Y') }}.</strong>&nbsp;حقوق الملكية محفوظة.
</footer>

resources/views/admin/partials/_head.blade.php
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <title>لوحة المعلومات | @yield('title')</title>
  <!-- Tell the browser to be responsive to screen width -->
  <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">

  <meta name="csrf-token" content="{{ csrf_token() }}">

  <link rel="stylesheet" href="{{ asset('assets/dashboard/css/bootstrap-rtl.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/dashboard/bower_components/font-awesome/css/font-awesome.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/dashboard/bower_components/Ionicons/css/ionicons.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/dashboard/bower_components/select2/dist/css/select2.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/dashboard/bower_components/bootstrap-select/dist/css/bootstrap-select.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/dashboard/css/AdminLTE.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/dashboard/css/rtl.css') }}">
  <!-- AdminLTE Skins. Choose a skin from the css/skins
       folder instead of downloading all of them to reduce the load. -->
  <link rel="stylesheet" href="{{ asset('assets/dashboard/css/skin-black.min.css') }}">
  <link rel="stylesheet" href="{{ asset('assets/dashboard/css/admin.css') }}">

  <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
  <!--[if lt IE 9]>
  <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
  <![endif]-->

  <!-- Google Font -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

  <script>
    window.App = {!! json_encode([
        'csrfToken' => csrf_token(),
        'baseUrl'   => url("/") 
    ]) !!};
  </script>

  @yield('styles')

resources/views/admin/partials/_header.blade.php
<header class="main-header">
  <a href="{{ route('admin.dashboard') }}" class="logo">
    <!-- mini logo for sidebar mini 50x50 pixels -->
    <span class="logo-mini"><b>A</b>LT</span>
    <!-- logo for regular state and mobile devices -->
  <span class="logo-lg"><b style="color:#99ce66">{{ __('admin.admin') }}</b>&nbsp;{{ __('admin.panel') }}</span>
  </a>
  <!-- Header Navbar: style can be found in header.less -->
  <nav class="navbar navbar-static-top">
    <!-- Sidebar toggle button-->
    <sidebar-collapse></sidebar-collapse>

    <div class="navbar-custom-menu">
      <ul class="nav navbar-nav">
        <!-- Messages: style can be found in dropdown.less-->
        <li class="dropdown messages-menu">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">
            <i class="fa fa-envelope-o"></i>
            <span class="label label-success">4</span>
          </a>
          <ul class="dropdown-menu">
            <li class="header">You have 4 messages</li>
            <li>
              <!-- inner menu: contains the actual data -->
              <ul class="menu">
                <li><!-- start message -->
                  <a href="#">
                    <div class="pull-left">
                      <img src="{{ Request::root() }}/assets/dashboard/img/user2-160x160.jpg" class="img-circle" alt="User Image">
                    </div>
                    <h4>
                      Support Team
                      <small><i class="fa fa-clock-o"></i> 5 mins</small>
                    </h4>
                    <p>Why not buy a new awesome theme?</p>
                  </a>
                </li>
                <!-- end message -->
              </ul>
            </li>
            <li class="footer"><a href="#">See All Messages</a></li>
          </ul>
        </li>
        <!-- Notifications: style can be found in dropdown.less -->
        <li class="dropdown notifications-menu">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">
            <i class="fa fa-globe"></i>
            <span class="label label-warning">{{ App\Language::where('code', App::getLocale())->value('code') }}</span>
          </a>
          <ul class="dropdown-menu">
            <li>
              <!-- inner menu: contains the actual data -->
              <ul class="menu">
                  @foreach (App\Language::all() as $lang)
                    @if ($lang->code != App::getLocale()) 
                      <li><a href="{{ url('lang', $lang->code) }}">{{ $lang->name }}</a></li>
                      @endif
                  @endforeach
              </ul>
            </li>
          </ul>
        </li>
        <!-- Tasks: style can be found in dropdown.less -->
        <li class="dropdown tasks-menu">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">
            <i class="fa fa-flag-o"></i>
            <span class="label label-danger">9</span>
          </a>
          <ul class="dropdown-menu">
            <li class="header">You have 9 tasks</li>
            <li>
              <!-- inner menu: contains the actual data -->
              <ul class="menu">
                <li><!-- Task item -->
                  <a href="#">
                    <h3>
                      Design some buttons
                      <small class="pull-right">20%</small>
                    </h3>
                    <div class="progress xs">
                      <div class="progress-bar progress-bar-aqua" style="width: 20%" role="progressbar"
                           aria-valuenow="20" aria-valuemin="0" aria-valuemax="100">
                        <span class="sr-only">20% Complete</span>
                      </div>
                    </div>
                  </a>
                </li>
                <!-- end task item -->
              </ul>
            </li>
            <li class="footer">
              <a href="#">View all tasks</a>
            </li>
          </ul>
        </li>
        <!-- User Account: style can be found in dropdown.less -->
        <li class="dropdown user user-menu">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown">
            <img src="{{ Request::root() }}/assets/dashboard/img/avatar.png" class="user-image" alt="User Image">
            <span class="hidden-xs">{!! Auth::user('admin')->username !!}</span>
          </a>
          <ul class="dropdown-menu">
            <!-- User image -->
            <li class="user-header">
              <img src="{{ Request::root() }}/assets/dashboard/img/avatar.png" class="img-circle" alt="User Image">

              <p>
                {!! Auth::user('admin')->name !!}
                <small>عضو منذ {{ Auth::user('admin')->created_at->toFormattedDateString() }}</small>
              </p>
            </li>
            <!-- Menu Footer-->
            <li class="user-footer">
              <div class="pull-left">
                <a href="{{ route('admin.profile') }}" class="btn btn-default btn-flat"><i class="icon ion-ios-gear"></i> الاعدادت</a>
              </div>
              <div class="pull-right">
                <a href="{{ route('admin.logout') }}" class="btn btn-default btn-flat" onclick="event.preventDefault(); document.getElementById('logout-form').submit();"><i class="icon ion-power"></i> تسجيل الخروج</a>

                <form id="logout-form" action="{{ route('admin.logout') }}" method="POST" style="display: none;">
                    {{ csrf_field() }}
                </form>
              </div>
            </li>
          </ul>
        </li>
        <!-- Control Sidebar Toggle Button -->
        <li>
          <a href="#" data-toggle="control-sidebar"><i class="fa fa-gears"></i></a>
        </li>
      </ul>
    </div>
  </nav>
</header>

resources/views/admin/partials/_javascript.blade.php
<script src="{!! asset('assets/dashboard/bower_components/jquery/dist/jquery.min.js') !!}"></script>
<script src="{!! asset('assets/dashboard/bower_components/bootstrap/dist/js/bootstrap.min.js') !!}"></script>
<script src="{{ asset('assets/dashboard/bower_components/select2/dist/js/select2.full.min.js') }}"></script>
<script src="{{ asset('assets/dashboard/bower_components/bootstrap-select/dist/js/bootstrap-select.min.js') }}"></script>
<script src="{{ asset('assets/dashboard/bower_components/bootstrap-select/dist/js/i18n/defaults-ar_AR.js') }}"></script>
<script src="{!! asset('assets/dashboard/bower_components/fastclick/lib/fastclick.min.js') !!}"></script>
<script src="{!! asset('assets/dashboard/js/adminlte.min.js') !!}"></script>
<script src="{!! asset('assets/dashboard/js/admin.js') !!}"></script>
	
<script>
  $(function () {
    $('.select2').select2({
    	dir: 'rtl'
    })
  });
</script>

@yield('scripts')

resources/views/admin/partials/_sidebar.blade.php
<aside class="main-sidebar">
  <!-- sidebar: style can be found in sidebar.less -->
  <section class="sidebar">

    <!-- sidebar menu: : style can be found in sidebar.less -->
    <ul class="sidebar-menu" data-widget="tree">
    <li class="header">{{ __('admin.menu') }}</li>
      
    <li class="{{ active(['admin.dashboard']) }}"><a href="{{ route('admin.dashboard') }}"><i class="fa fa-home"></i> <span>{{ __('admin_sidebar.home') }}</span></a></li>


      <li class="{{ active('admins.*') }}"><a href="{{ route('admins.index') }}"><i class="fa fa-users"></i> <span>{{ __('admin_sidebar.admins') }}</span></a></li>

      <li class="{{ active('users.*') }}"><a href="{{ route('users.index') }}"><i class="fa fa-users"></i> <span>{{ __('admin_sidebar.users') }}</span></a></li>

      <li class="{{ active('permissions.*') }}"><a href="{{ route('permissions.index') }}"><i class="fa fa-lock"></i> <span>{{ __('admin_sidebar.permissions') }}</span></a></li>

      <li class="{{ active('languages.*') }}"><a href="{{ route('languages.index') }}"><i class="fa fa-globe"></i> <span>{{ __('admin_sidebar.languages') }}</span></a></li>

      <li class="{{ active('services.*') }}"><a href="{{ route('services.index') }}"><i class="fa fa-globe"></i> <span>{{ __('admin_sidebar.services') }}</span></a></li>

      <li class="{{ active('categories.*') }}"><a href="{{ route('categories.index') }}"><i class="fa fa-globe"></i> <span>{{ __('admin_sidebar.categories') }}</span></a></li>


      {{--<li class="{{ active('commands.index') }}"><a href="{{ route('commands.index') }}"><i class="fa fa-terminal"></i> <span>الأوامر</span></a></li>--}}
    </ul>
  </section>
  <!-- /.sidebar -->
</aside>

resources/views/admin/partials/breadcrumbs.blade.php
@if (count($breadcrumbs))

    <ol class="breadcrumb">
        @foreach ($breadcrumbs as $breadcrumb)

            @if ($breadcrumb->url && !$loop->last)
                <li><a href="{{ $breadcrumb->url }}">@if ($loop->first)<i class="fa fa-home"></i>@endif {{ $breadcrumb->title }}</a></li>
            @else
                <li class="active">{{ $breadcrumb->title }}</li>
            @endif

        @endforeach
    </ol>

@endif

resources/views/admin/partials/control-sidebar.blade.php
<aside class="control-sidebar control-sidebar-dark">
  <!-- Create the tabs -->
  <ul class="nav nav-tabs nav-justified control-sidebar-tabs">
    <li><a href="#control-sidebar-home-tab" data-toggle="tab"><i class="fa fa-home"></i></a></li>

    <li><a href="#control-sidebar-settings-tab" data-toggle="tab"><i class="fa fa-gears"></i></a></li>
  </ul>
  <!-- Tab panes -->
  <div class="tab-content">
    <!-- Home tab content -->
    <div class="tab-pane" id="control-sidebar-home-tab">
      <h3 class="control-sidebar-heading">Recent Activity</h3>
      <ul class="control-sidebar-menu">
        <li>
          <a href="javascript:void(0)">
            <i class="menu-icon fa fa-birthday-cake bg-red"></i>

            <div class="menu-info">
              <h4 class="control-sidebar-subheading">Langdon's Birthday</h4>

              <p>Will be 23 on April 24th</p>
            </div>
          </a>
        </li>
        <li>
          <a href="javascript:void(0)">
            <i class="menu-icon fa fa-user bg-yellow"></i>

            <div class="menu-info">
              <h4 class="control-sidebar-subheading">Frodo Updated His Profile</h4>

              <p>New phone +1(800)555-1234</p>
            </div>
          </a>
        </li>
        <li>
          <a href="javascript:void(0)">
            <i class="menu-icon fa fa-envelope-o bg-light-blue"></i>

            <div class="menu-info">
              <h4 class="control-sidebar-subheading">Nora Joined Mailing List</h4>

              <p>nora@example.com</p>
            </div>
          </a>
        </li>
        <li>
          <a href="javascript:void(0)">
            <i class="menu-icon fa fa-file-code-o bg-green"></i>

            <div class="menu-info">
              <h4 class="control-sidebar-subheading">Cron Job 254 Executed</h4>

              <p>Execution time 5 seconds</p>
            </div>
          </a>
        </li>
      </ul>
      <!-- /.control-sidebar-menu -->

      <h3 class="control-sidebar-heading">Tasks Progress</h3>
      <ul class="control-sidebar-menu">
        <li>
          <a href="javascript:void(0)">
            <h4 class="control-sidebar-subheading">
              Custom Template Design
              <span class="label label-danger pull-right">70%</span>
            </h4>

            <div class="progress progress-xxs">
              <div class="progress-bar progress-bar-danger" style="width: 70%"></div>
            </div>
          </a>
        </li>
        <li>
          <a href="javascript:void(0)">
            <h4 class="control-sidebar-subheading">
              Update Resume
              <span class="label label-success pull-right">95%</span>
            </h4>

            <div class="progress progress-xxs">
              <div class="progress-bar progress-bar-success" style="width: 95%"></div>
            </div>
          </a>
        </li>
        <li>
          <a href="javascript:void(0)">
            <h4 class="control-sidebar-subheading">
              Laravel Integration
              <span class="label label-warning pull-right">50%</span>
            </h4>

            <div class="progress progress-xxs">
              <div class="progress-bar progress-bar-warning" style="width: 50%"></div>
            </div>
          </a>
        </li>
        <li>
          <a href="javascript:void(0)">
            <h4 class="control-sidebar-subheading">
              Back End Framework
              <span class="label label-primary pull-right">68%</span>
            </h4>

            <div class="progress progress-xxs">
              <div class="progress-bar progress-bar-primary" style="width: 68%"></div>
            </div>
          </a>
        </li>
      </ul>
      <!-- /.control-sidebar-menu -->

    </div>
    <!-- /.tab-pane -->
    <!-- Stats tab content -->
    <div class="tab-pane" id="control-sidebar-stats-tab">Stats Tab Content</div>
    <!-- /.tab-pane -->
    <!-- Settings tab content -->
    <div class="tab-pane" id="control-sidebar-settings-tab">
      <form method="post">
        <h3 class="control-sidebar-heading">General Settings</h3>

        <div class="form-group">
          <label class="control-sidebar-subheading">
            Report panel usage
            <input type="checkbox" class="pull-right" checked>
          </label>

          <p>
            Some information about this general settings option
          </p>
        </div>
        <!-- /.form-group -->

        <div class="form-group">
          <label class="control-sidebar-subheading">
            Allow mail redirect
            <input type="checkbox" class="pull-right" checked>
          </label>

          <p>
            Other sets of options are available
          </p>
        </div>
        <!-- /.form-group -->

        <div class="form-group">
          <label class="control-sidebar-subheading">
            Expose author name in posts
            <input type="checkbox" class="pull-right" checked>
          </label>

          <p>
            Allow the user to show his name in blog posts
          </p>
        </div>
        <!-- /.form-group -->

        <h3 class="control-sidebar-heading">Chat Settings</h3>

        <div class="form-group">
          <label class="control-sidebar-subheading">
            Show me as online
            <input type="checkbox" class="pull-right" checked>
          </label>
        </div>
        <!-- /.form-group -->

        <div class="form-group">
          <label class="control-sidebar-subheading">
            Turn off notifications
            <input type="checkbox" class="pull-right">
          </label>
        </div>
        <!-- /.form-group -->

        <div class="form-group">
          <label class="control-sidebar-subheading">
            Delete chat history
            <a href="javascript:void(0)" class="text-red pull-right"><i class="fa fa-trash-o"></i></a>
          </label>
        </div>
        <!-- /.form-group -->
      </form>
    </div>
    <!-- /.tab-pane -->
  </div>
</aside>
<!-- /.control-sidebar -->
<!-- Add the sidebar's background. This div must be placed
     immediately after the control sidebar -->
<div class="control-sidebar-bg"></div>